MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Structures | Public Types | Public Member Functions
MemoryStorageDirectoryReader Class Referencefinal

A StorageDirectoryReader implementation that returns directory entries from a memory allocation. More...

`#include <MemoryDirectoryReader.hxx>`

Inheritance diagram for MemoryStorageDirectoryReader:
[legend]
Collaboration diagram for MemoryStorageDirectoryReader:
[legend]

## Data Structures
struct | Entry

## Public Types
typedef std::forward_list< Entry > | List

## Public Member Functions
| MemoryStorageDirectoryReader ()
| MemoryStorageDirectoryReader (MemoryStorageDirectoryReader &&src)
| MemoryStorageDirectoryReader (List &&_entries)
const char * | Read () override
StorageFileInfo | GetInfo (bool follow) override
| Throws #std::runtime_error on error. More...
Public Member Functions inherited from StorageDirectoryReader
| StorageDirectoryReader ()=default
| StorageDirectoryReader (const StorageDirectoryReader &)=delete
virtual | ~StorageDirectoryReader ()

## Detailed Description

A StorageDirectoryReader implementation that returns directory entries from a memory allocation.

Definition at line 34 of file MemoryDirectoryReader.hxx.

## Member Typedef Documentation

typedef std::forward_list<Entry> MemoryStorageDirectoryReader::List

Definition at line 45 of file MemoryDirectoryReader.hxx.

## Constructor & Destructor Documentation

MemoryStorageDirectoryReader::MemoryStorageDirectoryReader | ( |  | ) |
| inline

Definition at line 53 of file MemoryDirectoryReader.hxx.

MemoryStorageDirectoryReader::MemoryStorageDirectoryReader | ( | MemoryStorageDirectoryReader && | src | ) |
| inline

Definition at line 56 of file MemoryDirectoryReader.hxx.

MemoryStorageDirectoryReader::MemoryStorageDirectoryReader | ( | List && | _entries | ) |
| inline

Definition at line 59 of file MemoryDirectoryReader.hxx.

## Member Function Documentation

StorageFileInfo MemoryStorageDirectoryReader::GetInfo | ( | bool | follow | ) |
| override virtual

Throws #std::runtime_error on error.

Implements StorageDirectoryReader.

const char* MemoryStorageDirectoryReader::Read | ( |  | ) |
| override virtual

Implements StorageDirectoryReader.

The documentation for this class was generated from the following file:

- storage/MemoryDirectoryReader.hxx